Subject: Re: bug#52179: Highlighting a word in `ispell' using `enchant'

From: Tor Kringeland <[email-masked]>
Date: Tue, 24 May 2022 19:27:58 +0000

Aspell works for me, but enchant doesn't. When I change `ispell-program-name' to "aspell" ispell starts recognizing full words.

Looking into the functions you mentioned, it seems like `ispell-find-aspell-dictionaries' explicitly adds an entry for nil, while `ispell-find-enchant-dictionaries' doesn't. This is what causes the bug for me since I have set `ispell-dictionary' to nil/haven't changed it so the resulting regex recognizing words is too strict for my use.

Might there be a reason why `ispell-find-enchant-dictionaries' doesn't set a nil entry? For sure I would think it could handle whatever input aspell can.